<?xml version="1.0" encoding="shift_jis"?>
<VisualStudioProject
	ProjectType="Visual C++"
	Version="9.00"
	Name="libascript"
	ProjectGUID="{84C27ED8-4A4F-4DC2-B276-5F012F2570EF}"
	RootNamespace="libascript"
	Keyword="Win32Proj"
	TargetFrameworkVersion="131072"
	>
	<Platforms>
		<Platform
			Name="Win32"
		/>
	</Platforms>
	<ToolFiles>
	</ToolFiles>
	<Configurations>
		<Configuration
			Name="Debug|Win32"
			OutputDirectory="$(SolutionDir)$(ConfigurationName)"
			IntermediateDirectory="$(ConfigurationName).$(ProjectName)"
			ConfigurationType="2"
			CharacterSet="2"
			>
			<Tool
				Name="VCPreBuildEventTool"
			/>
			<Tool
				Name="VCCustomBuildTool"
			/>
			<Tool
				Name="VCXMLDataGeneratorTool"
			/>
			<Tool
				Name="VCWebServiceProxyGeneratorTool"
			/>
			<Tool
				Name="VCMIDLTool"
			/>
			<Tool
				Name="VCCLCompilerTool"
				Optimization="0"
				AdditionalIncludeDirectories="$(SolutionDir)..\..\include"
				PreprocessorDefinitions="ASCRIPT_EXPORTS"
				MinimalRebuild="true"
				BasicRuntimeChecks="3"
				RuntimeLibrary="3"
				UsePrecompiledHeader="0"
				WarningLevel="3"
				Detect64BitPortabilityProblems="false"
				DebugInformationFormat="4"
				DisableSpecificWarnings="4996"
			/>
			<Tool
				Name="VCManagedResourceCompilerTool"
			/>
			<Tool
				Name="VCResourceCompilerTool"
			/>
			<Tool
				Name="VCPreLinkEventTool"
			/>
			<Tool
				Name="VCLinkerTool"
				AdditionalDependencies="ws2_32.lib"
				OutputFile="$(SolutionDir)..\..\libascript.dll"
				LinkIncremental="2"
				GenerateDebugInformation="true"
				SubSystem="2"
				RandomizedBaseAddress="1"
				DataExecutionPrevention="0"
				TargetMachine="1"
			/>
			<Tool
				Name="VCALinkTool"
			/>
			<Tool
				Name="VCManifestTool"
			/>
			<Tool
				Name="VCXDCMakeTool"
			/>
			<Tool
				Name="VCBscMakeTool"
			/>
			<Tool
				Name="VCFxCopTool"
			/>
			<Tool
				Name="VCAppVerifierTool"
			/>
			<Tool
				Name="VCPostBuildEventTool"
			/>
		</Configuration>
		<Configuration
			Name="Release|Win32"
			OutputDirectory="$(SolutionDir)$(ConfigurationName)"
			IntermediateDirectory="$(ConfigurationName).$(ProjectName)"
			ConfigurationType="2"
			CharacterSet="2"
			WholeProgramOptimization="1"
			>
			<Tool
				Name="VCPreBuildEventTool"
			/>
			<Tool
				Name="VCCustomBuildTool"
			/>
			<Tool
				Name="VCXMLDataGeneratorTool"
			/>
			<Tool
				Name="VCWebServiceProxyGeneratorTool"
			/>
			<Tool
				Name="VCMIDLTool"
			/>
			<Tool
				Name="VCCLCompilerTool"
				AdditionalIncludeDirectories="$(SolutionDir)..\..\include"
				PreprocessorDefinitions="ASCRIPT_EXPORTS"
				RuntimeLibrary="2"
				UsePrecompiledHeader="0"
				WarningLevel="3"
				Detect64BitPortabilityProblems="false"
				DebugInformationFormat="3"
			/>
			<Tool
				Name="VCManagedResourceCompilerTool"
			/>
			<Tool
				Name="VCResourceCompilerTool"
			/>
			<Tool
				Name="VCPreLinkEventTool"
			/>
			<Tool
				Name="VCLinkerTool"
				AdditionalDependencies="ws2_32.lib"
				OutputFile="$(SolutionDir)..\..\libascript.dll"
				LinkIncremental="1"
				GenerateDebugInformation="true"
				SubSystem="2"
				OptimizeReferences="2"
				EnableCOMDATFolding="2"
				RandomizedBaseAddress="1"
				DataExecutionPrevention="0"
				ImportLibrary="$(SolutionDir)..\..\lib\$(TargetName).lib"
				TargetMachine="1"
			/>
			<Tool
				Name="VCALinkTool"
			/>
			<Tool
				Name="VCManifestTool"
			/>
			<Tool
				Name="VCXDCMakeTool"
			/>
			<Tool
				Name="VCBscMakeTool"
			/>
			<Tool
				Name="VCFxCopTool"
			/>
			<Tool
				Name="VCAppVerifierTool"
			/>
			<Tool
				Name="VCPostBuildEventTool"
			/>
		</Configuration>
	</Configurations>
	<References>
	</References>
	<Files>
		<Filter
			Name="ソース ファイル"
			Filter="cpp;c;cc;cxx;def;odl;idl;hpj;bat;asm;asmx"
			UniqueIdentifier="{4FC737F1-C7A5-4376-A066-2A32D752A2FF}"
			>
			<File
				RelativePath="..\..\src\Algorithm.cpp"
				>
			</File>
			<File
				RelativePath="..\..\src\Codec.cpp"
				>
			</File>
			<File
				RelativePath="..\..\src\Common.cpp"
				>
			</File>
			<File
				RelativePath="..\..\src\Module_codecs_japanese\Conv_Japanese.cpp"
				>
			</File>
			<File
				RelativePath="..\..\src\DateTime.cpp"
				>
			</File>
			<File
				RelativePath="..\..\src\Declaration.cpp"
				>
			</File>
			<File
				RelativePath="..\..\src\Directory.cpp"
				>
			</File>
			<File
				RelativePath="..\..\src\DllMain.cpp"
				>
			</File>
			<File
				RelativePath="..\..\src\Environment.cpp"
				>
			</File>
			<File
				RelativePath="..\..\src\Expr.cpp"
				>
			</File>
			<File
				RelativePath="..\..\src\Formatter.cpp"
				>
			</File>
			<File
				RelativePath="..\..\src\Function.cpp"
				>
			</File>
			<File
				RelativePath="..\..\src\Iterator.cpp"
				>
			</File>
			<File
				RelativePath="..\..\src\Module.cpp"
				>
			</File>
			<File
				RelativePath="..\..\src\Module_basement.cpp"
				>
			</File>
			<File
				RelativePath="..\..\src\Module_codecs_basic\Module_codecs_basic.cpp"
				>
			</File>
			<File
				RelativePath="..\..\src\Module_codecs_iso8859\Module_codecs_iso8859.cpp"
				>
			</File>
			<File
				RelativePath="..\..\src\Module_codecs_japanese\Module_codecs_japanese.cpp"
				>
			</File>
			<File
				RelativePath="..\..\src\Module_fs\Module_fs.cpp"
				>
			</File>
			<File
				RelativePath="..\..\src\Module_math\Module_math.cpp"
				>
			</File>
			<File
				RelativePath="..\..\src\Module_os\Module_os.cpp"
				>
			</File>
			<File
				RelativePath="..\..\src\Module_path\Module_path.cpp"
				>
			</File>
			<File
				RelativePath="..\..\src\Module_string\Module_string.cpp"
				>
			</File>
			<File
				RelativePath="..\..\src\Module_sys.cpp"
				>
			</File>
			<File
				RelativePath="..\..\src\Module_time\Module_time.cpp"
				>
			</File>
			<File
				RelativePath="..\..\src\OAL.cpp"
				>
			</File>
			<File
				RelativePath="..\..\src\Object.cpp"
				>
			</File>
			<File
				RelativePath="..\..\src\Object_Audio.cpp"
				>
			</File>
			<File
				RelativePath="..\..\src\Object_Binary.cpp"
				>
			</File>
			<File
				RelativePath="..\..\src\Object_Codec.cpp"
				>
			</File>
			<File
				RelativePath="..\..\src\Object_Color.cpp"
				>
			</File>
			<File
				RelativePath="..\..\src\Object_Custom.cpp"
				>
			</File>
			<File
				RelativePath="..\..\src\Object_DateTime.cpp"
				>
			</File>
			<File
				RelativePath="..\..\src\Object_Dict.cpp"
				>
			</File>
			<File
				RelativePath="..\..\src\Object_Environment.cpp"
				>
			</File>
			<File
				RelativePath="..\..\src\Object_Error.cpp"
				>
			</File>
			<File
				RelativePath="..\..\src\Object_Expr.cpp"
				>
			</File>
			<File
				RelativePath="..\..\src\Object_Function.cpp"
				>
			</File>
			<File
				RelativePath="..\..\src\Object_Image.cpp"
				>
			</File>
			<File
				RelativePath="..\..\src\Object_Iterator.cpp"
				>
			</File>
			<File
				RelativePath="..\..\src\Object_List.cpp"
				>
			</File>
			<File
				RelativePath="..\..\src\Object_Matrix.cpp"
				>
			</File>
			<File
				RelativePath="..\..\src\Object_Palette.cpp"
				>
			</File>
			<File
				RelativePath="..\..\src\Object_Semaphore.cpp"
				>
			</File>
			<File
				RelativePath="..\..\src\Object_Stream.cpp"
				>
			</File>
			<File
				RelativePath="..\..\src\Object_String.cpp"
				>
			</File>
			<File
				RelativePath="..\..\src\Object_Struct.cpp"
				>
			</File>
			<File
				RelativePath="..\..\src\Object_TimeDelta.cpp"
				>
			</File>
			<File
				RelativePath="..\..\src\Object_URI.cpp"
				>
			</File>
			<File
				RelativePath="..\..\src\Operator.cpp"
				>
			</File>
			<File
				RelativePath="..\..\src\Option.cpp"
				>
			</File>
			<File
				RelativePath="..\..\src\Parser.cpp"
				>
			</File>
			<File
				RelativePath="..\..\src\SFMT-src-1.3.3\SFMT.c"
				>
			</File>
			<File
				RelativePath="..\..\src\Signal.cpp"
				>
			</File>
			<File
				RelativePath="..\..\src\Stream.cpp"
				>
			</File>
			<File
				RelativePath="..\..\src\String.cpp"
				>
			</File>
			<File
				RelativePath="..\..\src\Symbol.cpp"
				>
			</File>
			<File
				RelativePath="..\..\src\Value.cpp"
				>
			</File>
		</Filter>
		<Filter
			Name="ヘッダー ファイル"
			Filter="h;hpp;hxx;hm;inl;inc;xsd"
			UniqueIdentifier="{93995380-89BD-4b04-88EB-625FBE52EBFB}"
			>
			<File
				RelativePath="..\..\src\Algorithm.h"
				>
			</File>
			<File
				RelativePath="..\..\src\ascript.h"
				>
			</File>
			<File
				RelativePath="..\..\src\Codec.h"
				>
			</File>
			<File
				RelativePath="..\..\src\Codec_ISO8859.h"
				>
			</File>
			<File
				RelativePath="..\..\src\Codec_Japanese.h"
				>
			</File>
			<File
				RelativePath="..\..\src\Common.h"
				>
			</File>
			<File
				RelativePath="..\..\src\DateTime.h"
				>
			</File>
			<File
				RelativePath="..\..\src\Declaration.h"
				>
			</File>
			<File
				RelativePath="..\..\src\Directory.h"
				>
			</File>
			<File
				RelativePath="..\..\src\Environment.h"
				>
			</File>
			<File
				RelativePath="..\..\src\Expr.h"
				>
			</File>
			<File
				RelativePath="..\..\src\Formatter.h"
				>
			</File>
			<File
				RelativePath="..\..\src\Function.h"
				>
			</File>
			<File
				RelativePath="..\..\src\Iterator.h"
				>
			</File>
			<File
				RelativePath="..\..\src\Module.h"
				>
			</File>
			<File
				RelativePath="..\..\src\OAL.h"
				>
			</File>
			<File
				RelativePath="..\..\src\Object.h"
				>
			</File>
			<File
				RelativePath="..\..\src\Object_Audio.h"
				>
			</File>
			<File
				RelativePath="..\..\src\Object_Binary.h"
				>
			</File>
			<File
				RelativePath="..\..\src\Object_Codec.h"
				>
			</File>
			<File
				RelativePath="..\..\src\Object_Color.h"
				>
			</File>
			<File
				RelativePath="..\..\src\Object_Custom.h"
				>
			</File>
			<File
				RelativePath="..\..\src\Object_DateTime.h"
				>
			</File>
			<File
				RelativePath="..\..\src\Object_Dict.h"
				>
			</File>
			<File
				RelativePath="..\..\src\Object_Environment.h"
				>
			</File>
			<File
				RelativePath="..\..\src\Object_Error.h"
				>
			</File>
			<File
				RelativePath="..\..\src\Object_Expr.h"
				>
			</File>
			<File
				RelativePath="..\..\src\Object_Function.h"
				>
			</File>
			<File
				RelativePath="..\..\src\Object_Image.h"
				>
			</File>
			<File
				RelativePath="..\..\src\Object_Iterator.h"
				>
			</File>
			<File
				RelativePath="..\..\src\Object_List.h"
				>
			</File>
			<File
				RelativePath="..\..\src\Object_Matrix.h"
				>
			</File>
			<File
				RelativePath="..\..\src\Object_Palette.h"
				>
			</File>
			<File
				RelativePath="..\..\src\Object_Semaphore.h"
				>
			</File>
			<File
				RelativePath="..\..\src\Object_Stream.h"
				>
			</File>
			<File
				RelativePath="..\..\src\Object_String.h"
				>
			</File>
			<File
				RelativePath="..\..\src\Object_Struct.h"
				>
			</File>
			<File
				RelativePath="..\..\src\Object_TimeDelta.h"
				>
			</File>
			<File
				RelativePath="..\..\src\Object_URI.h"
				>
			</File>
			<File
				RelativePath="..\..\src\Operator.h"
				>
			</File>
			<File
				RelativePath="..\..\src\Option.h"
				>
			</File>
			<File
				RelativePath="..\..\src\Parser.h"
				>
			</File>
			<File
				RelativePath="..\..\src\Signal.h"
				>
			</File>
			<File
				RelativePath="..\..\src\Stream.h"
				>
			</File>
			<File
				RelativePath="..\..\src\String.h"
				>
			</File>
			<File
				RelativePath="..\..\src\Symbol.h"
				>
			</File>
			<File
				RelativePath="..\..\src\Value.h"
				>
			</File>
		</Filter>
		<Filter
			Name="リソース ファイル"
			Filter="rc;ico;cur;bmp;dlg;rc2;rct;bin;rgs;gif;jpg;jpeg;jpe;resx;tiff;tif;png;wav"
			UniqueIdentifier="{67DA6AB6-F800-4c08-8B7A-83BB121AAD01}"
			>
		</Filter>
	</Files>
	<Globals>
	</Globals>
</VisualStudioProject>
